/*** N_DEMO.C - Resolucao de sistemas nao-lineares usando o metodo
		de Newton ***/

#include <stdio.h>
#include <math.h>

#define float long double

#include "sist.c"

/* ----------------------------------------------------------------------- */

/* Definicao do sistema  f(x, y, z) = 0
			 g(x, y, z) = 0
			 h(x, y, z) = 0   */

#include "equacs.c"

/* ----------------------------------------------------------------------- */

void main(void) {

  float x[3], x0[3];
  int n1 = 0, n2 = 0;

#include "aprox.ini"

  n2 = RSist_Newton(f, g, h, x0, 1E-12, 1000, x);

  if (n2 > 0) {
    printf("\n\nSolucao encontrada = (%15.10Lf, %15.10Lf, %15.10Lf)",
				  x[0], x[1], x[2]);
    printf("\n\nQuantidade de iteracoes utilizadas = %d", n1 + n2);
    printf("\n\nTeste = (%18.16Lf, %18.16Lf, %18.16Lf)\n\n",
	      f(x[0], x[1], x[2]), g(x[0], x[1], x[2]), h(x[0], x[1], x[2]));
  }
  else printf("\n\nSolucao nao pode ser encontrada com a aproximacao dada");
}

/*** FIM DE N_DEMO.C ***/
